epp_dcpAccessType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_dcpAccessType class

### org.openrtk.idl.epp0503

# Class epp_dcpAccessType

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_dcpAccessType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpAccessType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of data collection policy access types which describes access provided by the server to data received from the client. Five access types are defined: ALL, NO_ACCESS, NULL_ACCESS, SOCIAL, TECHNICAL. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_dcpAccessType.java,v 1.2 2003/09/10 21:29:56 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:56 $

See Also:
  `epp_DataCollectionPolicy`, `EPPGreeting`

  ## Field Summary
  `static epp_dcpAccessType` | `ALL` Instance of epp_dcpAccessType representing the ALL access type.
  `static epp_dcpAccessType` | `NO_ACCESS` Instance of epp_dcpAccessType representing the NO_ACCESS access type.
  `static epp_dcpAccessType` | `NULL_ACCESS` Instance of epp_dcpAccessType representing the NULL_ACCESS access type.
  `static epp_dcpAccessType` | `SOCIAL` Instance of epp_dcpAccessType representing the SOCIAL access type.
  `static epp_dcpAccessType` | `TECHNICAL` Instance of epp_dcpAccessType representing the TECHNICAL access type.
  `static int` | `_ALL` Integer value representing the ALL access type.
  `static int` | `_NO_ACCESS` Integer value representing the NO_ACCESS access type.
  `static int` | `_NULL_ACCESS` Integer value representing the NULL_ACCESS access type.
  `static int` | `_SOCIAL` Integer value representing the SOCIAL access type.
  `static int` | `_TECHNICAL` Integer value representing the TECHNICAL access type.

  ## Constructor Summary
  `epp_dcpAccessType(int value)` For internal use only.

  ## Method Summary
  `static epp_dcpAccessType` | `from_int(int value)` Transform an integer into a epp_dcpAccessType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the access type.

## Field Details

### ALL

    public static final epp_dcpAccessType ALL

> Instance of epp_dcpAccessType representing the ALL access type.

### NO_ACCESS

    public static final epp_dcpAccessType NO_ACCESS

> Instance of epp_dcpAccessType representing the NO_ACCESS access type.

### NULL_ACCESS

    public static final epp_dcpAccessType NULL_ACCESS

> Instance of epp_dcpAccessType representing the NULL_ACCESS access type.

### SOCIAL

    public static final epp_dcpAccessType SOCIAL

> Instance of epp_dcpAccessType representing the SOCIAL access type.

### TECHNICAL

    public static final epp_dcpAccessType TECHNICAL

> Instance of epp_dcpAccessType representing the TECHNICAL access type.

### _ALL

    public static final int _ALL

> Integer value representing the ALL access type.
> Field Value:
>   0
> See Also:
>   `ALL`

### _NO_ACCESS

    public static final int _NO_ACCESS

> Integer value representing the NO_ACCESS access type.
> Field Value:
>   1
> See Also:
>   `NO_ACCESS`

### _NULL_ACCESS

    public static final int _NULL_ACCESS

> Integer value representing the NULL_ACCESS access type.
> Field Value:
>   2
> See Also:
>   `NULL_ACCESS`

### _SOCIAL

    public static final int _SOCIAL

> Integer value representing the SOCIAL access type.
> Field Value:
>   3
> See Also:
>   `SOCIAL`

### _TECHNICAL

    public static final int _TECHNICAL

> Integer value representing the TECHNICAL access type.
> Field Value:
>   4
> See Also:
>   `TECHNICAL`

## Constructor Details

### epp_dcpAccessType

    protected epp_dcpAccessType(int value)

> For internal use only. Initializes the internal access type array.
> Parameters:
>   `value` - The integer value for the desired access type

## Method Details

### from_int

    public static epp_dcpAccessType from_int(int value)

> Transform an integer into a epp_dcpAccessType constant. Given the integer representation of the access type, returns one of the access type constants.
> Parameters:
>   `value` - The integer value for the desired access type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the access type.
> Returns:
>   The integer value of this access type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS